package jr.eecs1022.rockpaperscissors;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;


public class RPSActivity extends AppCompatActivity
{
    private static final String MODULE = "RSPActivity";

    private int curDrawable = R.drawable.splash;

    public void buttonPressed(View view)
    {
        System.out.println("buttonPressed called");

        ImageView imageView = (ImageView) findViewById(R.id.imageView);

        if (curDrawable == R.drawable.splash)
            curDrawable = R.drawable.scissors;
        else
            curDrawable = R.drawable.splash;
        imageView.setImageResource(curDrawable);
        System.out.println("buttonPressed done");
    }


    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_rps);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu)
    {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_r, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item)
    {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings)
        {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
